အကြောင်းအရာသို့ ကျော်ရန်

Auto-Captioner

ပေါင်းစည်းရန်

မော်ဒယ် id auto-caption
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/auto-caption?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ၀.၁၀ $ ၁၀၀ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်

အရောင်၊ ဖောင့်၊ အရွယ်အစားနှင့် အနေအထားကို ချိန်ညှိနိုင်သော စကားသံအခြေပြု စာတန်းများကို ဗီဒီယိုထဲ ထည့်ပေးသည်။

Utility · ဒေတာ (JSON)

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည် video_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

400 MB ထက် သေးငယ်သော အသံပါဝင်သည့် .mp4 ဖိုင်၏ ဗီဒီယို URL။

အဆင့်မြင့် text_case · txt_color · txt_font · font_size · stroke_width · refresh_interval · left_align · top_align
text_case မူလ default

speech recognition မှ ထုတ်လုပ်ထားသည့် စာတန်းအကြီးအသေးအတိုင်း ထားရန် 'default' ကို ရွေးပါ။ ပြောင်းလဲလိုပါက စာလုံးအကြီးအတွက် 'upper' သို့မဟုတ် စာလုံးအသေးအတွက် 'lower' ကို ရွေးပါ။

မူလ white

စာသားအရောင်ကို hexadecimal notation၊ RGB tuple သို့မဟုတ် အရောင်အမည်ဖြင့် သတ်မှတ်ပါ။

မူလ Standard

စာတန်း၏ typeface ကို .ttf ဖိုင်ကို ညွှန်ပြသော URL သို့မဟုတ် built-in font: 'Arial', 'Standard', 'Garamond', 'Times New Roman', သို့မဟုတ် 'Georgia' ဖြင့် သတ်မှတ်ပါ။

မူလ 24

ဖန်တီးမည့်စာတန်း၏ စာသားအရွယ်အစား။

မူလ 1

စာသား stroke အထူ၊ pixel ဖြင့် တိုင်းတာသည်။

မူလ 1.5

စာတန်းပြသချိန်ကို စက္ကန့်ဖြင့် သတ်မှတ်၍ တစ်ကြိမ်တည်းတွင် ပြသမည့် စာတန်းစာသားပမာဏကို ထိန်းချုပ်သည်။ စာတန်းကို ပိုကြာကြာပြသပါက တစ်ကြိမ်တည်းတွင် စာသားပိုမိုပြသမည်။

မူလ center

0.0 နှင့် 1.0 ကြား float ဖြင့် စာသားကို အလျားလိုက် ချိန်ညှိပါ၊ သို့မဟုတ် အမည်ပေးထားသော 'left', 'center', သို့မဟုတ် 'right' နေရာကို ရွေးပါ။

မူလ center

0.0 နှင့် 1.0 ကြား float ဖြင့် စာသားကို ဒေါင်လိုက် ချိန်ညှိပါ၊ သို့မဟုတ် အမည်ပေးထားသော 'top', 'center', သို့မဟုတ် 'bottom' နေရာကို ရွေးပါ။

POST /run/auto-caption?wait=20 ကုန်ကျစရိတ် → ၀.၁၀ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/auto-caption?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Auto-Captioner အကြောင်း

.mp4 `video_url` (400MB အောက်) မှ အသံကို စာသားပြန်လည်ဖော်ပြပြီး စာတန်းများကို ဗီဒီယိုထဲ တိုက်ရိုက်ထည့်သွင်းသည်။ `txt_color`၊ `txt_font`၊ `font_size`၊ `stroke_width` နှင့် `text_case` ဖြင့် စတိုင်သတ်မှတ်ပါ။ အနေအထားကို `left_align` နှင့် `top_align` ဖြင့် သတ်မှတ်သည်။ 0.5 မှ 3 စက္ကန့်အထိ `refresh_interval` သည် စာတန်းများ မျက်နှာပြင်ပေါ်တွင် မည်မျှကြာကြာ ရှိမည်ကို သတ်မှတ်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
video_urlလိုအပ်သည် video
အမျိုးအစားurl · video
400 MB ထက် သေးငယ်သော အသံပါဝင်သည့် .mp4 ဖိုင်၏ ဗီဒီယို URL။
txt_colorရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုးwhite
စာသားအရောင်ကို hexadecimal notation၊ RGB tuple သို့မဟုတ် အရောင်အမည်ဖြင့် သတ်မှတ်ပါ။
txt_fontရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုးStandard
စာတန်း၏ typeface ကို .ttf ဖိုင်ကို ညွှန်ပြသော URL သို့မဟုတ် built-in font: 'Arial', 'Standard', 'Garamond', 'Times New Roman', သို့မဟုတ် 'Georgia' ဖြင့် သတ်မှတ်ပါ။
font_sizeရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး24
ဖန်တီးမည့်စာတန်း၏ စာသားအရွယ်အစား။
stroke_widthရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး1
စာသား stroke အထူ၊ pixel ဖြင့် တိုင်းတာသည်။
left_alignရွေးချယ်နိုင်သည်
အမျိုးအစားstring | number
မူလတန်ဖိုးcenter
0.0 နှင့် 1.0 ကြား float ဖြင့် စာသားကို အလျားလိုက် ချိန်ညှိပါ၊ သို့မဟုတ် အမည်ပေးထားသော 'left', 'center', သို့မဟုတ် 'right' နေရာကို ရွေးပါ။
top_alignရွေးချယ်နိုင်သည်
အမျိုးအစားstring | number
မူလတန်ဖိုးcenter
0.0 နှင့် 1.0 ကြား float ဖြင့် စာသားကို ဒေါင်လိုက် ချိန်ညှိပါ၊ သို့မဟုတ် အမည်ပေးထားသော 'top', 'center', သို့မဟုတ် 'bottom' နေရာကို ရွေးပါ။
refresh_intervalရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး1.5
၀.၅ – ၃
စာတန်းပြသချိန်ကို စက္ကန့်ဖြင့် သတ်မှတ်၍ တစ်ကြိမ်တည်းတွင် ပြသမည့် စာတန်းစာသားပမာဏကို ထိန်းချုပ်သည်။ စာတန်းကို ပိုကြာကြာပြသပါက တစ်ကြိမ်တည်းတွင် စာသားပိုမိုပြသမည်။
text_caseရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးdefault
defaultupperlower
speech recognition မှ ထုတ်လုပ်ထားသည့် စာတန်းအကြီးအသေးအတိုင်း ထားရန် 'default' ကို ရွေးပါ။ ပြောင်းလဲလိုပါက စာလုံးအကြီးအတွက် 'upper' သို့မဟုတ် စာလုံးအသေးအတွက် 'lower' ကို ရွေးပါ။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "auto-caption",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video_url
string (video URL)စာတန်းထည့်ထားသော .mp4 ဗီဒီယိုကို ညွှန်ပြသော URL။

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/auto-caption.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt